<template name="ArticlesEditor">
  <div class="articles-manager">
    <h1>Articles</h1>
    <div>
      <span>
        {{> EasySearch.Input index=articlesIndex }}
        <i class="fa fa-search"></i>
      </span>
    </div>
    <div class="articles-list">
      <div class="articles-header">
        <span>Available</span>
        <span>Name</span>
        <span><i class="fa fa-archive"></i></span>
        <span><i class="fa fa-trash"></i></span>
        <span>Edit</span>
      </div>
      {{#EasySearch.Each index=articlesIndex }}
        {{> BackOfficeArticleEntry}}
      {{/EasySearch.Each}}
    </div>
  </div>
</template>

<template name="BackOfficeArticleEntry">
  <div class="article-element">
    <input type="checkbox" name="available" data-action="make-article-available" checked="{{#if isAvailable}}true{{/if}}">
    <span class="article-name">
      {{ name }}
    </span>
    <span>
      {{ stock }}
    </span>
    <button type="button" name="remove" data-action="remove-article">&times;</button>
    <a href="{{ pathFor 'articleEditor' _id }}"><i class="fa fa-pencil"></i></a>
  </div>
</template>
